package com.red.circle.order.inner.model.enums.inapp;

/**
 * @author pengliang on 2021/12/29
 */
public enum PurchaseHistoryExpandType {

  /**
   * 自己.
   */
  SELF("自己"),

  /**
   * 朋友.
   */
  FRIEND("朋友");

  private final String desc;


  PurchaseHistoryExpandType(String desc) {
    this.desc = desc;
  }

  public static String getDesc(String key) {
    try {
      return PurchaseHistoryExpandType.valueOf(key).desc;
    } catch (Exception ignore) {

    }
    return null;
  }
}
